// ===========================================================================
// AboutDlg.cpp
// about dialog
//
//                                                       by kanegon 2006
// ===========================================================================

#include "stdafx.h"
#include "AnotherVision.h"
#include "aboutdlg.h"


// ---------------------------------------------------------------------------

HWND CAboutDlg::ms_hwndDlg = NULL;
volatile
BOOL CAboutDlg::ms_bShowDlg = FALSE;


// ---------------------------------------------------------------------------
// check dialog showed
// ---------------------------------------------------------------------------
BOOL CAboutDlg::IsShowed()
{
	return ms_bShowDlg;
}

// ---------------------------------------------------------------------------
// show dialog
// ---------------------------------------------------------------------------
void CAboutDlg::Show()
{
	if (ms_bShowDlg) {
		if (ms_hwndDlg != NULL) {
			SetForegroundWindow(ms_hwndDlg);
		}
	}
	else {
		ms_bShowDlg = TRUE;
		CAboutDlg dlg;
		dlg.DoModal();
		ms_bShowDlg = FALSE;
	}
}

// ---------------------------------------------------------------------------
// close dialog
// ---------------------------------------------------------------------------
void CAboutDlg::Close()
{
	if (ms_bShowDlg) {
		if (ms_hwndDlg != NULL) {
			::PostMessage(ms_hwndDlg, WM_COMMAND, IDOK, (LPARAM)::GetDlgItem(ms_hwndDlg, IDOK));
		}
	}
}

// ---------------------------------------------------------------------------
// OnInitDialog
// ---------------------------------------------------------------------------
LRESULT CAboutDlg::OnInitDialog(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/)
{
	ms_hwndDlg = m_hWnd;
	CenterWindow(GetParent());
	return TRUE;
}

// ---------------------------------------------------------------------------
// OnCloseCmd
// ---------------------------------------------------------------------------
LRESULT CAboutDlg::OnCloseCmd(WORD /*wNotifyCode*/, WORD wID, HWND /*hWndCtl*/, BOOL& /*bHandled*/)
{
	EndDialog(wID);
	ms_hwndDlg = NULL;
	return 0;
}
