// ===========================================================================
// AboutDlg.h
// about dialog
//
//                                                       by kanegon 2006
// ===========================================================================

#pragma once

#include "AnotherVision.h"


// ---------------------------------------------------------------------------
// about dialog
// ---------------------------------------------------------------------------
class CAboutDlg : public CDialogImpl<CAboutDlg>
{
private:
	static HWND ms_hwndDlg;
	static volatile BOOL ms_bShowDlg;

public:
	static BOOL IsShowed();
	static void Show();
	static void Close();

public:
	enum { IDD = IDD_ABOUT_DLG };

	BEGIN_MSG_MAP(CAboutDlg)
		MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
		COMMAND_ID_HANDLER(IDOK, OnCloseCmd)
		COMMAND_ID_HANDLER(IDCANCEL, OnCloseCmd)
	END_MSG_MAP()

	INT_PTR DoModal(HWND hWndParent = ::GetActiveWindow(), LPARAM dwInitParam = NULL) {
		ATLASSERT(m_hWnd == NULL);
		_AtlWinModule.AddCreateWndData(&m_thunk.cd, (CDialogImplBaseT<CWindow>*)this);
#ifdef _DEBUG
		m_bModal = true;
#endif //_DEBUG
		return ::DialogBoxParam(GetResourceHandle(), MAKEINTRESOURCE(IDD),
				hWndParent, CAboutDlg::StartDialogProc, dwInitParam);
	}

	LRESULT OnInitDialog(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/);
	LRESULT OnCloseCmd(WORD /*wNotifyCode*/, WORD wID, HWND /*hWndCtl*/, BOOL& /*bHandled*/);
};
